edu.sc.seis.sod.subsetter.request

## Class BreqFastRequest

- java.lang.Object
- - edu.sc.seis.sod.subsetter.request.BreqFastRequest

- All Implemented Interfaces:
    SodElement, RequestSubsetter, Subsetter
  Direct Known Subclasses:
    NetDCRequest

      public class BreqFastRequest
      extends java.lang.Object
      implements RequestSubsetter

  BreqFastRequestSubsetter.java Created: Wed Mar 19 14:07:16 2003

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BreqFastRequest(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringTree` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.network.ChannelImpl channel, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] request, CookieJar cookieJar)`
    `protected java.lang.String` | `getConfig(java.lang.String name)`
    `protected java.lang.String` | `getDefaultFileTemplate()`
    `protected java.lang.String` | `getDefaultWorkingDir()`
    `protected void` | `insert(java.io.Writer out, java.lang.String configName)`
    `protected void` | `insert(java.io.Writer out, java.lang.String configName, java.lang.String fieldName)`
    `protected void` | `insertEventHeader(edu.iris.Fissures.IfEvent.EventAccessOperations event, java.io.Writer out, java.lang.String label)`
    `protected void` | `insertRequest(edu.iris.Fissures.IfNetwork.Channel channel, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] request, java.io.Writer out, int i)`
    `protected void` | `optInsert(java.io.Writer out, java.lang.String configName)`
    `protected void` | `optInsert(java.io.Writer out, java.lang.String configName, java.lang.String fieldName)`
    `protected boolean` | `writeToBFEmail(edu.iris.Fissures.IfEvent.EventAccessOperations event, edu.iris.Fissures.network.ChannelImpl channel, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] request)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BreqFastRequest

          public BreqFastRequest(org.w3c.dom.Element config)
                          throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### accept

          public StringTree accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                   edu.iris.Fissures.network.ChannelImpl channel,
                                   edu.iris.Fissures.IfSeismogramDC.RequestFilter[] request,
                                   CookieJar cookieJar)

      Specified by:
        `accept` in interface `RequestSubsetter`

    - #### getConfig

          protected java.lang.String getConfig(java.lang.String name)

    - #### writeToBFEmail

          protected boolean writeToBFEmail(edu.iris.Fissures.IfEvent.EventAccessOperations event,
                                           edu.iris.Fissures.network.ChannelImpl channel,
                                           edu.iris.Fissures.IfSeismogramDC.RequestFilter[] request)

    - #### optInsert

          protected void optInsert(java.io.Writer out,
                                   java.lang.String configName)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### optInsert

          protected void optInsert(java.io.Writer out,
                                   java.lang.String configName,
                                   java.lang.String fieldName)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### insert

          protected void insert(java.io.Writer out,
                                java.lang.String configName)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### insert

          protected void insert(java.io.Writer out,
                                java.lang.String configName,
                                java.lang.String fieldName)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### insertRequest

          protected void insertRequest(edu.iris.Fissures.IfNetwork.Channel channel,
                                       edu.iris.Fissures.IfSeismogramDC.RequestFilter[] request,
                                       java.io.Writer out,
                                       int i)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### insertEventHeader

          protected void insertEventHeader(edu.iris.Fissures.IfEvent.EventAccessOperations event,
                                           java.io.Writer out,
                                           java.lang.String label)
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getDefaultWorkingDir

          protected java.lang.String getDefaultWorkingDir()

    - #### getDefaultFileTemplate

          protected java.lang.String getDefaultFileTemplate()